/*
 * GPIO user space helpers
 *
 * Copyright 2009 Analog Devices Inc.
 * Michael Hennerich (hennerich@blackfin.uclinux.org)
 *
 * Licensed under the GPL-2 or later
 */
 
#ifndef GPIO_HELPER_H
#define GPIO_HELPER_H

#define GPIO_DIR_IN     0
#define GPIO_DIR_OUT    1

typedef struct
{
    unsigned int PinNum;
    unsigned char Direction;
    unsigned char Default;
} Pin;

int gpio_export(unsigned gpio);
int gpio_unexport(unsigned gpio);
int gpio_dir_out(unsigned gpio);
int gpio_dir_in(unsigned gpio);
int gpio_set_value(unsigned gpio, unsigned value);
int gpio_get_value(unsigned gpio);

#endif

